function _defineProperty(obj, key, value) { if (key in obj) { Object.defineProperty(obj, key, { value: value, enumerable: true, configurable: true, writable: true }); } else { obj[key] = value; } return obj; }

export default class IaphubError {
  constructor(_ref) {
    let {
      code,
      subcode,
      message,
      params
    } = _ref;

    _defineProperty(this, "code", void 0);

    _defineProperty(this, "message", void 0);

    _defineProperty(this, "subcode", void 0);

    _defineProperty(this, "params", void 0);

    this.code = code;
    this.subcode = subcode;
    this.message = message;
    this.params = params;
  }

  static parse(err) {
    if (typeof err != 'object' || !err.message) {
      return new IaphubError({
        code: "unexpected",
        message: `${err}`
      });
    }

    var json = null;

    try {
      json = JSON.parse(err.message);
    } catch (err) {}

    if (json && json.code) {
      return new IaphubError({
        code: json.code,
        subcode: json.subcode,
        message: json.message,
        params: json.params
      });
    }

    return new IaphubError({
      code: "unexpected",
      message: `${err}`
    });
  }

}
//# sourceMappingURL=iaphub-error.js.map